Image Generation
curl --request POST \
--url https://api.horay.ai/v1/image/generations \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"model": "black-forest-labs/FLUX.1-schnell",
"prompt": "an island near sea, with seagulls, moon shining over the sea, light house, boats int he background, fish flying over the sea",
"image_size": "1024x1024",
"seed": 4999999999
}
'import requests
url = "https://api.horay.ai/v1/image/generations"
payload = {
"model": "black-forest-labs/FLUX.1-schnell",
"prompt": "an island near sea, with seagulls, moon shining over the sea, light house, boats int he background, fish flying over the sea",
"image_size": "1024x1024",
"seed": 4999999999
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
model: 'black-forest-labs/FLUX.1-schnell',
prompt: 'an island near sea, with seagulls, moon shining over the sea, light house, boats int he background, fish flying over the sea',
image_size: '1024x1024',
seed: 4999999999
})
};
fetch('https://api.horay.ai/v1/image/generations', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"images": [
{
"url": "<string>"
}
],
"timings": {
"inference": 123
},
"seed": 123
}"<string>""<string>""<string>""<string>""<string>""<string>"Image
Image Generation
Creates an image response for the given prompt.
POST
/
image
/
generations
Image Generation
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
Available options:
black-forest-labs/FLUX.1-schnell prompt
string
default:an island near sea, with seagulls, moon shining over the sea, light house, boats int he background, fish flying over the sea
required
Available options:
1024x1024, 1536x1536, 768x512, 768x1024, 1024x576, 576x1024 Required range:
0 <= x <= 9999999999⌘I